import java.util.*;

public class ReviewClassWriting {
  
  
  public static String formatString(String s){
    
    return s.substring(0,1).toUpperCase() + s.substring(1).toLowerCase();
    
  }
  
  
  public static void main(String[] args){
    
    
    Scanner in = new Scanner(System.in);
    
    
    System.out.println("Welcome to the Driving Simulator!");
    
    
    System.out.println("First, I need some information from you.\n" + 
                       "What is the make of the vehicle you would like to simulate?");
    
    
    String vehicleMake = in.nextLine().trim();
    vehicleMake = formatString(vehicleMake);
    
    
    System.out.println("What is the model?");
    
    
    String vehicleModel = in.nextLine().trim();
    vehicleModel = formatString(vehicleModel);
    
    
    System.out.println("How many gallons is the gas tank?");
    double tank = in.nextDouble();
    
    
    System.out.println("What is the distance (in miles) of your commute to school?");
    
    
    double commuteDistance = in.nextDouble();
    
    
    System.out.println("Rounding down to the nearest whole number, " +
                       "how many miles per gallon does your vehicle get " + 
                       "as an average of city and highway mileage?");
    
    
    int mpg = in.nextInt();
    
    
    System.out.println("Thank you. Let's drive!\n" + 
                       "Today is Monday January 6th, 2020. What would you like to do?");
    
    
    int menuChoice = 0;
    
    
    Vehicle whip = new Vehicle();
    
    
    whip.setMake(vehicleMake);
    whip.setModel(vehicleModel);
    whip.setTankSize(tank);
    whip.setCommuteAndMPG(commuteDistance, mpg);
    whip.fillTank();
    
    
    while (menuChoice != 6 && whip.getFuelLevel() > 0){
      System.out.println(      "*******************************************************"
                           + "\n* Main Menu:                                          *"
                           + "\n*    Enter # to run program or Quit                   *"
                           + "\n*    1) Get up and drive to school                    *"
                           + "\n*    2) Ditch school and sleep 24 hours               *"
                           + "\n*    3) Ditch school and drive somewhere else         *"
                           + "\n*    4) Do donuts in the street and then go to school *"
                           + "\n*    5) Go get gas                                    *"
                           + "\n*    6) Quit program                                  *"
                           + "\n*******************************************************");
      
      menuChoice = in.nextInt();
      
      
      if(menuChoice == 1){
        
        
      }
      else if (menuChoice == 2){
        
        
      }    
      else if (menuChoice == 3){
        
        
      }
      else if (menuChoice == 4){
        
        
      }
      else if (menuChoice == 5){
        
        
        
      }
      else if (menuChoice == 6){
    
        
       System.out.println("Are you sure you want to quit?\n1 - Continue driving\n2 - Quit Program");
        
        
       int sure = in.nextInt();
       if(sure == 1){
         menuChoice = 0;
       }
                  
      }
      else {
      
        
        System.out.println("Please enter a valid number from the menu.");
      }
    }
    
    
    if(whip.getFuelLevel() <= 0){
      System.out.println("You've run out of gas. You have failed miserably. Goodbye.");
    }
    else {
      System.out.println("Thank you for trying the Driving Simulator! Have a nice day!");
    
    }
  }
  
}
